function love.load()
	love.window.setMode(800, 400)
	love.graphics.setLineWidth(3)
	mousepressed = false --For touch conversion
	require "andralog"
	
	analog = newAnalog()
	--I called this function empty to have the default values
	--The arguments for non-default values are:
	--newAnalog(center's x, center's y, analog's radius, Button's radius, Deadzone's factor (from 0 to 1))
	
	player = {
		x = 350/2-50/2,
		y = 350/2-50/2,
		width = 50,
		height = 50,
		speedx = 0,
		speedy = 0,
		maxSpeed = 200,
		boundary = {0, 0, 350, 350}
	}
end

function love.draw()
	--analog screen
	analog.draw()
	
	--Player screen
	love.graphics.setColor(255, 255, 255, 155)
	love.graphics.line(400, 0, 400, 400)
	love.graphics.rectangle("line", 400+50/2, 50/2, 350, 350)
	
	love.graphics.setColor(0, 205, 255, 155)
	love.graphics.rectangle("fill", player.x+400+50/2, player.y+50/2, player.width, player.height)
	love.graphics.setColor(0, 205, 255, 255)
	love.graphics.rectangle("line", player.x+400+50/2, player.y+50/2, player.width, player.height)
	
	--Mousey
	if mousepressed then
		love.graphics.setColor(255, 0, 0, 155)
		love.graphics.circle("fill", love.mouse.getX(), love.mouse.getY(), 8, 32)
	end
	love.graphics.setColor(255, 0, 0, 255)
	love.graphics.circle("line", love.mouse.getX(), love.mouse.getY(), 8, 32)
end

function love.update(dt)
	--Touch conversion
	if mousepressed then
		love.touchMoved(1, love.mouse.getX()/love.graphics.getWidth(), love.mouse.getY()/love.graphics.getHeight(), 1)
	end
	
	analog.update(dt)
	
	--Player positioning
	player.speedx = player.maxSpeed*analog.getX()
	player.speedy = player.maxSpeed*analog.getY()
	
	player.x = player.x + player.speedx*dt
	player.y = player.y + player.speedy*dt
	
	player.x = math.max(player.x, player.boundary[1])
	player.y = math.max(player.y, player.boundary[2])
	player.x = math.min(player.x, player.boundary[3]-player.width)
	player.y = math.min(player.y, player.boundary[4]-player.height)
end

function love.touchPressed(id, x, y, pressure)
	analog.touchPressed(id, x, y, pressure)
end

function love.touchReleased(id, x, y, pressure)
	analog.touchReleased(id, x, y, pressure)
end

function love.touchMoved(id, x, y, pressure)
	analog.touchMoved(id, x, y, pressure)
end

function love.mousepressed(x, y, button)
	love.touchPressed(1, x/love.graphics.getWidth(), y/love.graphics.getHeight(), 1)
	mousepressed = true
end

function love.mousereleased(x, y, button)
	love.touchReleased(1, x/love.graphics.getWidth(), y/love.graphics.getHeight(), 1)
	mousepressed = false
end